summaryrefslogtreecommitdiffstats
path: root/abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:09 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-12-01 18:26:22 (GMT)
commite2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37 (patch)
treebee3fe89f2988dd244e11791755e129aa8c03b14 /abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install
parent8132c218cfc1f1acb1c6d12154e0d4ca075e77f2 (diff)
downloadlinhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.zip
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.gz
linhes_pkgbuild-e2c33b0fae1fa4af8bbbfc917eb8e13a3ac0cb37.tar.bz2
Mass move of uncompiled packages to abs_not_built.
The will sit here for a bit, and then will be removed completely if no one claims them.
Diffstat (limited to 'abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install')
-rw-r--r--abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install55
1 files changed, 55 insertions, 0 deletions
diff --git a/abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install b/abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install
new file mode 100644
index 0000000..043cd88
--- /dev/null
+++ b/abs/not_built/extra/ttf-ms-fonts/ttf-ms-fonts.install
@@ -0,0 +1,55 @@
+# arg 1: the new package version
+post_install() {
+ echo -n "extracting fonts... "
+ for font in tmp/ttf-ms-fonts/*.exe
+ do
+ cabextract --lowercase --directory=tmp/ttf-ms-fonts/ $font -F '*.ttf' >/dev/null 2>&1
+ done
+ cabextract --lowercase --directory=tmp/ttf-ms-fonts/ tmp/ttf-ms-fonts/wd97vwr32.exe -F '*.cab' >/dev/null 2>&1
+ cabextract --lowercase --directory=tmp/ttf-ms-fonts/ tmp/ttf-ms-fonts/viewer1.cab -F '*.ttf' >/dev/null 2>&1
+ mkdir -p usr/share/fonts/TTF
+ : >usr/share/fonts/TTF/msfonts.txt
+ for i in `/bin/ls tmp/ttf-ms-fonts/*.ttf`; do
+ echo `basename $i` >>usr/share/fonts/TTF/msfonts.txt
+ cp $i usr/share/fonts/TTF
+ done
+ echo "done."
+ echo -n "rebuilding font cache... "
+ fc-cache -f > /dev/null
+ mkfontscale /usr/share/fonts/TTF
+ mkfontdir /usr/share/fonts/TTF
+ echo "done."
+ rm -rf tmp/ttf-ms-fonts
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ # remove fonts from their old location
+ rm -rf usr/X11R6/lib/X11/fonts/ttf-ms-fonts
+ post_install $1
+}
+
+# arg 1: the old package version
+pre_remove() {
+ #rm -f usr/X11R6/lib/X11/fonts/TTF/
+ [ -f usr/share/fonts/TTF/msfonts.txt ] || return
+ for i in `cat usr/share/fonts/TTF/msfonts.txt`; do
+ rm -f usr/share/fonts/TTF/$i
+ done
+ rm -f usr/share/fonts/TTF/msfonts.txt
+}
+
+# arg 1: the old package version
+post_remove() {
+ echo -n "rebuilding font cache... "
+ fc-cache -f > /dev/null
+ mkfontscale /usr/share/fonts/TTF
+ mkfontdir /usr/share/fonts/TTF
+ echo "done."
+}
+
+op=$1
+shift
+
+$op $*